<?php

// This file is part of Moodle - http://moodle.org/
//  
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'theme_cafe_con_leche', language 'en', branch 'MOODLE_20_STABLE'
 *
 * @package   theme_cafe_con_leche
 * @copyright 2010 Lei Zhang  {@link http://www.canterbury.ac.nz}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 * @credits 
 * Performance Info bar ideas from: <http://particletree.com/features/php-quick-profiler/>
 * CSS Dropdown menu Framework: <http://www.lwis.net/free-css-drop-down-menu/>
 * Fugue Icons set: <http://creativecommons.org/licenses/by/3.0/>
 * Back homepage icon from: Shaun Daubney's Aardvark theme <http://moodle.org/mod/data/view.php?d=26&rid=3934>
 */

$string['pluginname'] = 'Coffee with Milk';
$string['region-side-post'] = 'Right';
$string['region-side-pre'] = 'Left';
$string['choosereadme'] = '<div class="clearfix"><div class="theme_screenshot"><h2>Caf&eacute; con leche</h2><img src="cafe_con_leche/pix/screenshot.png" alt="Caf&eacute; con leche screenshot" /><h3>Theme Discussion Forum:</h3><p><a href="http://moodle.org/mod/forum/view.php?id=46">http://moodle.org/mod/forum/view.php?id=46</a></p><h3>Theme Credits</h3><p><a href="http://docs.moodle.org/en/Theme_credits">http://docs.moodle.org/en/Theme_credits</a></p><h3>Theme Documentation:</h3><p><a href="http://docs.moodle.org/en/Themes">http://docs.moodle.org/en/Themes</a> or <a href="https://sites.google.com/site/josealejandromoranperez/cafe-con-leche">Theme specific documentation</a>.</p><h3>Report a bug:</h3><p><a href="http://tracker.moodle.org">http://tracker.moodle.org</a></p></div><div class="theme_description"><h2>About</h2><p>Decaf is a three-column, fluid-width theme for Moodle that was created by <a href="http://moodle.org/user/view.php?id=390408">Lei Zhang</a>. It improves usability by shifting setting blocks to top of the page, so called "Moodle awesome bar". For developers, It transfers the performance info into a colorful floated bar at bottom of the page, which brings the performance awareness as well as improves usability.  
This them has been modified by <a href="http://moodle.org/user/view.php?id=405824">Jose Alejandro Mor&aacute;n P&eacute;rez</a>. Default colors are lighter and them is more customizable.
</p>';
$string['searchsettings'] = 'Search settings...';

$string['logo'] = 'Logo';
$string['backgroundcolor'] = 'Background colour';
$string['logodesc'] = 'This sets the logo page.';
$string['backgroundcolordesc'] = 'This sets the background colour for the theme.';
$string['configtitle'] = 'Coffee with milk theme settings';
$string['cabecerabackgroundcolor'] = 'Header\'s background colour';
$string['cabecerabackgroundcolordesc'] = 'Header\'s background colour. Only visible if you has selected no image, or if it has transparent areas.';
$string['customcss'] = 'Custom CSS';
$string['customcssdesc'] = 'Any CSS you enter here will be added to every page allowing your to easily customise this theme.';
$string['favicon'] = 'Favicon';
$string['favicon_desc'] = 'The favicon on the tiny image that shows the browser next to the title of the web. Identifies the website navigated. This abbreviation stands for "Favorit icon". "In order to be correctly configured should be introduced as an image called favicon.ico with 16x16 pixels. Note: The  Moodle files control do not previews ico files correctly. It remplaces them with a generic image. This is right.';
$string['fondo_cabecera'] = 'Header background';
$string['fondo_cabecera_desc'] = 'Background image for the header.';
$string['footnote'] = 'Footnote';
$string['footnotedesc'] = 'The content from this textarea will be displayed in the footer of every page.';
$string['logo'] = 'Logo';
$string['regionwidth'] = 'Column width';
$string['regionwidthdesc'] = 'This sets the width of the two block regions that form the left and right columns.';
$string['hidesettingsblock'] = 'Hide Settings block';
$string['hidesettingsblockdesc'] = 'This setting removes the standard Settings block from all pages.';
$string['hidenavigationblock'] = 'Hide Navigation block';
$string['hidenavigationblockdesc'] = 'This setting removes the standard Navigation block from all pages.';
$string['showuserpicture'] = 'Show user picture';
$string['showuserpicturedesc'] = 'This setting add user picture in the page heading';
$string['custommenuinawesomebar'] = 'Add custom menu to Awesomebar';
$string['custommenuinawesomebardesc'] = 'Moves the custom menu into the Awesomebar.  Otherwise, it will appear below the header.';
$string['custommenuafterawesomebar'] = 'Place custom menu after Awesomebar';
$string['custommenuafterawesomebardesc'] = 'Places custom menu after Awesomebar content.  Otherwise, it will appear before the Settings menus.  (Only applicable if previous option is enabled.)';
$string['useeditbuttons'] = 'Use Edit Buttons';
$string['useeditbuttonsdesc'] = 'Instead of rows of icons, small "Edit" buttons appear.  When clicked, a menu of editing options appears.';
$string['persistentedit'] = 'Enable Persistent Editing Mode';
$string['persistenteditdesc'] = 'Persistent Editing Mode keeps editing mode turned on permanently for users with editing privileges.<br />Block editing can still be turned on and off independently via the "Turn editing on/off" option under Course Administration.';
$string['coursesloggedinonly'] = 'Hide Courses menu from non-logged-in users';
$string['coursesloggedinonlydesc'] = 'If you do not want users who are not logged in to see the "Courses" menu in the Awesomebar, enable this setting.';
$string['expandtoactivities'] = 'Expand to show activities within sections';
$string['expandtoactivitiesdesc'] = 'Enabling this option shows activities underneath the sections in the Awesomebar, but degrades performance - especially in courses with lots of activities/resources.';
$string['usemodchoosertiles'] = 'Use Mod Chooser Tiles';
$string['usemodchoosertilesdesc'] = 'In the Mod Chooser, mods will be shown as "tiles" (similar to icons on the desktop of most OSes).';
$string['awesomebarsettings'] = 'Awesomebar / Navigation Settings';
$string['awesomebarsettingsdesc'] = 'The "Awesomebar" is the black navigation bar that is fixed to the top of the browser window when using Decaf.<br>The following settings relate to the "Awesomebar" and other page navigation.';
$string['editingsettings'] = 'Editing Mode Settings';
$string['editingsettingsdesc'] = 'The following settings relate to Editing Mode, and aim to make it tidier and easier to use.';
$string['coursesleafonly'] = 'Populate "Courses" menu'; // This seems backwards, but makes it easier for users to understand as it eliminates the double-negative.
$string['coursesleafonlydesc'] = 'On sites with large numbers of courses, generating the full list of courses in the Awesomebar can cause performance issues.  Disable this setting (set it to "No") to prevent the list from being generated - the "Courses" node will remain as a quick way to reach the course list.';